> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Link Plaid Account

> Link an external financial account via a Plaid processor token to a new or existing manual source account.



## OpenAPI

````yaml POST /v0/sources/plaid
openapi: 3.1.0
info:
  title: Teal API
  version: '0.1'
servers:
  - url: https://api.sandbox.teal.dev
    description: Sandbox
  - url: https://api.teal.dev
    description: Production
security: []
paths:
  /v0/sources/plaid:
    post:
      tags:
        - Transaction Sources
      summary: Link Plaid Account
      description: >-
        Link an external financial account via a Plaid processor token to a new
        or existing manual source account.
      operationId: create_plaid_link_v0_sources_plaid_post
      parameters:
        - name: teal-instance-id
          in: header
          required: true
          schema:
            type: string
            description: The Teal instance ID
            title: Teal-Instance-Id
          description: The Teal instance ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlaidLinkCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TxnProcessingTask'
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    PlaidLinkCreate:
      properties:
        p_token:
          type: string
          title: P Token
          description: The permanent Plaid processor token
        calculate_opening_balance:
          type: boolean
          title: Calculate Opening Balance
          description: If true the opening balance will be calculated automatically
          default: false
        start_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Start Date
          description: >-
            The start date of transactions to sync. Only transactions after this
            date will be imported. If not provided, transactions will be
            imported up to the instance's entries start date
        time_zone:
          type: string
          enum:
            - Africa/Abidjan
            - Africa/Accra
            - Africa/Addis_Ababa
            - Africa/Algiers
            - Africa/Asmara
            - Africa/Asmera
            - Africa/Bamako
            - Africa/Bangui
            - Africa/Banjul
            - Africa/Bissau
            - Africa/Blantyre
            - Africa/Brazzaville
            - Africa/Bujumbura
            - Africa/Cairo
            - Africa/Casablanca
            - Africa/Ceuta
            - Africa/Conakry
            - Africa/Dakar
            - Africa/Dar_es_Salaam
            - Africa/Djibouti
            - Africa/Douala
            - Africa/El_Aaiun
            - Africa/Freetown
            - Africa/Gaborone
            - Africa/Harare
            - Africa/Johannesburg
            - Africa/Juba
            - Africa/Kampala
            - Africa/Khartoum
            - Africa/Kigali
            - Africa/Kinshasa
            - Africa/Lagos
            - Africa/Libreville
            - Africa/Lome
            - Africa/Luanda
            - Africa/Lubumbashi
            - Africa/Lusaka
            - Africa/Malabo
            - Africa/Maputo
            - Africa/Maseru
            - Africa/Mbabane
            - Africa/Mogadishu
            - Africa/Monrovia
            - Africa/Nairobi
            - Africa/Ndjamena
            - Africa/Niamey
            - Africa/Nouakchott
            - Africa/Ouagadougou
            - Africa/Porto-Novo
            - Africa/Sao_Tome
            - Africa/Timbuktu
            - Africa/Tripoli
            - Africa/Tunis
            - Africa/Windhoek
            - America/Adak
            - America/Anchorage
            - America/Anguilla
            - America/Antigua
            - America/Araguaina
            - America/Argentina/Buenos_Aires
            - America/Argentina/Catamarca
            - America/Argentina/ComodRivadavia
            - America/Argentina/Cordoba
            - America/Argentina/Jujuy
            - America/Argentina/La_Rioja
            - America/Argentina/Mendoza
            - America/Argentina/Rio_Gallegos
            - America/Argentina/Salta
            - America/Argentina/San_Juan
            - America/Argentina/San_Luis
            - America/Argentina/Tucuman
            - America/Argentina/Ushuaia
            - America/Aruba
            - America/Asuncion
            - America/Atikokan
            - America/Atka
            - America/Bahia
            - America/Bahia_Banderas
            - America/Barbados
            - America/Belem
            - America/Belize
            - America/Blanc-Sablon
            - America/Boa_Vista
            - America/Bogota
            - America/Boise
            - America/Buenos_Aires
            - America/Cambridge_Bay
            - America/Campo_Grande
            - America/Cancun
            - America/Caracas
            - America/Catamarca
            - America/Cayenne
            - America/Cayman
            - America/Chicago
            - America/Chihuahua
            - America/Ciudad_Juarez
            - America/Coral_Harbour
            - America/Cordoba
            - America/Costa_Rica
            - America/Coyhaique
            - America/Creston
            - America/Cuiaba
            - America/Curacao
            - America/Danmarkshavn
            - America/Dawson
            - America/Dawson_Creek
            - America/Denver
            - America/Detroit
            - America/Dominica
            - America/Edmonton
            - America/Eirunepe
            - America/El_Salvador
            - America/Ensenada
            - America/Fort_Nelson
            - America/Fort_Wayne
            - America/Fortaleza
            - America/Glace_Bay
            - America/Godthab
            - America/Goose_Bay
            - America/Grand_Turk
            - America/Grenada
            - America/Guadeloupe
            - America/Guatemala
            - America/Guayaquil
            - America/Guyana
            - America/Halifax
            - America/Havana
            - America/Hermosillo
            - America/Indiana/Indianapolis
            - America/Indiana/Knox
            - America/Indiana/Marengo
            - America/Indiana/Petersburg
            - America/Indiana/Tell_City
            - America/Indiana/Vevay
            - America/Indiana/Vincennes
            - America/Indiana/Winamac
            - America/Indianapolis
            - America/Inuvik
            - America/Iqaluit
            - America/Jamaica
            - America/Jujuy
            - America/Juneau
            - America/Kentucky/Louisville
            - America/Kentucky/Monticello
            - America/Knox_IN
            - America/Kralendijk
            - America/La_Paz
            - America/Lima
            - America/Los_Angeles
            - America/Louisville
            - America/Lower_Princes
            - America/Maceio
            - America/Managua
            - America/Manaus
            - America/Marigot
            - America/Martinique
            - America/Matamoros
            - America/Mazatlan
            - America/Mendoza
            - America/Menominee
            - America/Merida
            - America/Metlakatla
            - America/Mexico_City
            - America/Miquelon
            - America/Moncton
            - America/Monterrey
            - America/Montevideo
            - America/Montreal
            - America/Montserrat
            - America/Nassau
            - America/New_York
            - America/Nipigon
            - America/Nome
            - America/Noronha
            - America/North_Dakota/Beulah
            - America/North_Dakota/Center
            - America/North_Dakota/New_Salem
            - America/Nuuk
            - America/Ojinaga
            - America/Panama
            - America/Pangnirtung
            - America/Paramaribo
            - America/Phoenix
            - America/Port-au-Prince
            - America/Port_of_Spain
            - America/Porto_Acre
            - America/Porto_Velho
            - America/Puerto_Rico
            - America/Punta_Arenas
            - America/Rainy_River
            - America/Rankin_Inlet
            - America/Recife
            - America/Regina
            - America/Resolute
            - America/Rio_Branco
            - America/Rosario
            - America/Santa_Isabel
            - America/Santarem
            - America/Santiago
            - America/Santo_Domingo
            - America/Sao_Paulo
            - America/Scoresbysund
            - America/Shiprock
            - America/Sitka
            - America/St_Barthelemy
            - America/St_Johns
            - America/St_Kitts
            - America/St_Lucia
            - America/St_Thomas
            - America/St_Vincent
            - America/Swift_Current
            - America/Tegucigalpa
            - America/Thule
            - America/Thunder_Bay
            - America/Tijuana
            - America/Toronto
            - America/Tortola
            - America/Vancouver
            - America/Virgin
            - America/Whitehorse
            - America/Winnipeg
            - America/Yakutat
            - America/Yellowknife
            - Antarctica/Casey
            - Antarctica/Davis
            - Antarctica/DumontDUrville
            - Antarctica/Macquarie
            - Antarctica/Mawson
            - Antarctica/McMurdo
            - Antarctica/Palmer
            - Antarctica/Rothera
            - Antarctica/South_Pole
            - Antarctica/Syowa
            - Antarctica/Troll
            - Antarctica/Vostok
            - Arctic/Longyearbyen
            - Asia/Aden
            - Asia/Almaty
            - Asia/Amman
            - Asia/Anadyr
            - Asia/Aqtau
            - Asia/Aqtobe
            - Asia/Ashgabat
            - Asia/Ashkhabad
            - Asia/Atyrau
            - Asia/Baghdad
            - Asia/Bahrain
            - Asia/Baku
            - Asia/Bangkok
            - Asia/Barnaul
            - Asia/Beirut
            - Asia/Bishkek
            - Asia/Brunei
            - Asia/Calcutta
            - Asia/Chita
            - Asia/Choibalsan
            - Asia/Chongqing
            - Asia/Chungking
            - Asia/Colombo
            - Asia/Dacca
            - Asia/Damascus
            - Asia/Dhaka
            - Asia/Dili
            - Asia/Dubai
            - Asia/Dushanbe
            - Asia/Famagusta
            - Asia/Gaza
            - Asia/Harbin
            - Asia/Hebron
            - Asia/Ho_Chi_Minh
            - Asia/Hong_Kong
            - Asia/Hovd
            - Asia/Irkutsk
            - Asia/Istanbul
            - Asia/Jakarta
            - Asia/Jayapura
            - Asia/Jerusalem
            - Asia/Kabul
            - Asia/Kamchatka
            - Asia/Karachi
            - Asia/Kashgar
            - Asia/Kathmandu
            - Asia/Katmandu
            - Asia/Khandyga
            - Asia/Kolkata
            - Asia/Krasnoyarsk
            - Asia/Kuala_Lumpur
            - Asia/Kuching
            - Asia/Kuwait
            - Asia/Macao
            - Asia/Macau
            - Asia/Magadan
            - Asia/Makassar
            - Asia/Manila
            - Asia/Muscat
            - Asia/Nicosia
            - Asia/Novokuznetsk
            - Asia/Novosibirsk
            - Asia/Omsk
            - Asia/Oral
            - Asia/Phnom_Penh
            - Asia/Pontianak
            - Asia/Pyongyang
            - Asia/Qatar
            - Asia/Qostanay
            - Asia/Qyzylorda
            - Asia/Rangoon
            - Asia/Riyadh
            - Asia/Saigon
            - Asia/Sakhalin
            - Asia/Samarkand
            - Asia/Seoul
            - Asia/Shanghai
            - Asia/Singapore
            - Asia/Srednekolymsk
            - Asia/Taipei
            - Asia/Tashkent
            - Asia/Tbilisi
            - Asia/Tehran
            - Asia/Tel_Aviv
            - Asia/Thimbu
            - Asia/Thimphu
            - Asia/Tokyo
            - Asia/Tomsk
            - Asia/Ujung_Pandang
            - Asia/Ulaanbaatar
            - Asia/Ulan_Bator
            - Asia/Urumqi
            - Asia/Ust-Nera
            - Asia/Vientiane
            - Asia/Vladivostok
            - Asia/Yakutsk
            - Asia/Yangon
            - Asia/Yekaterinburg
            - Asia/Yerevan
            - Atlantic/Azores
            - Atlantic/Bermuda
            - Atlantic/Canary
            - Atlantic/Cape_Verde
            - Atlantic/Faeroe
            - Atlantic/Faroe
            - Atlantic/Jan_Mayen
            - Atlantic/Madeira
            - Atlantic/Reykjavik
            - Atlantic/South_Georgia
            - Atlantic/St_Helena
            - Atlantic/Stanley
            - Australia/ACT
            - Australia/Adelaide
            - Australia/Brisbane
            - Australia/Broken_Hill
            - Australia/Canberra
            - Australia/Currie
            - Australia/Darwin
            - Australia/Eucla
            - Australia/Hobart
            - Australia/LHI
            - Australia/Lindeman
            - Australia/Lord_Howe
            - Australia/Melbourne
            - Australia/NSW
            - Australia/North
            - Australia/Perth
            - Australia/Queensland
            - Australia/South
            - Australia/Sydney
            - Australia/Tasmania
            - Australia/Victoria
            - Australia/West
            - Australia/Yancowinna
            - Brazil/Acre
            - Brazil/DeNoronha
            - Brazil/East
            - Brazil/West
            - CET
            - CST6CDT
            - Canada/Atlantic
            - Canada/Central
            - Canada/Eastern
            - Canada/Mountain
            - Canada/Newfoundland
            - Canada/Pacific
            - Canada/Saskatchewan
            - Canada/Yukon
            - Chile/Continental
            - Chile/EasterIsland
            - Cuba
            - EET
            - EST
            - EST5EDT
            - Egypt
            - Eire
            - Etc/GMT
            - Etc/GMT+0
            - Etc/GMT+1
            - Etc/GMT+10
            - Etc/GMT+11
            - Etc/GMT+12
            - Etc/GMT+2
            - Etc/GMT+3
            - Etc/GMT+4
            - Etc/GMT+5
            - Etc/GMT+6
            - Etc/GMT+7
            - Etc/GMT+8
            - Etc/GMT+9
            - Etc/GMT-0
            - Etc/GMT-1
            - Etc/GMT-10
            - Etc/GMT-11
            - Etc/GMT-12
            - Etc/GMT-13
            - Etc/GMT-14
            - Etc/GMT-2
            - Etc/GMT-3
            - Etc/GMT-4
            - Etc/GMT-5
            - Etc/GMT-6
            - Etc/GMT-7
            - Etc/GMT-8
            - Etc/GMT-9
            - Etc/GMT0
            - Etc/Greenwich
            - Etc/UCT
            - Etc/UTC
            - Etc/Universal
            - Etc/Zulu
            - Europe/Amsterdam
            - Europe/Andorra
            - Europe/Astrakhan
            - Europe/Athens
            - Europe/Belfast
            - Europe/Belgrade
            - Europe/Berlin
            - Europe/Bratislava
            - Europe/Brussels
            - Europe/Bucharest
            - Europe/Budapest
            - Europe/Busingen
            - Europe/Chisinau
            - Europe/Copenhagen
            - Europe/Dublin
            - Europe/Gibraltar
            - Europe/Guernsey
            - Europe/Helsinki
            - Europe/Isle_of_Man
            - Europe/Istanbul
            - Europe/Jersey
            - Europe/Kaliningrad
            - Europe/Kiev
            - Europe/Kirov
            - Europe/Kyiv
            - Europe/Lisbon
            - Europe/Ljubljana
            - Europe/London
            - Europe/Luxembourg
            - Europe/Madrid
            - Europe/Malta
            - Europe/Mariehamn
            - Europe/Minsk
            - Europe/Monaco
            - Europe/Moscow
            - Europe/Nicosia
            - Europe/Oslo
            - Europe/Paris
            - Europe/Podgorica
            - Europe/Prague
            - Europe/Riga
            - Europe/Rome
            - Europe/Samara
            - Europe/San_Marino
            - Europe/Sarajevo
            - Europe/Saratov
            - Europe/Simferopol
            - Europe/Skopje
            - Europe/Sofia
            - Europe/Stockholm
            - Europe/Tallinn
            - Europe/Tirane
            - Europe/Tiraspol
            - Europe/Ulyanovsk
            - Europe/Uzhgorod
            - Europe/Vaduz
            - Europe/Vatican
            - Europe/Vienna
            - Europe/Vilnius
            - Europe/Volgograd
            - Europe/Warsaw
            - Europe/Zagreb
            - Europe/Zaporozhye
            - Europe/Zurich
            - Factory
            - GB
            - GB-Eire
            - GMT
            - GMT+0
            - GMT-0
            - GMT0
            - Greenwich
            - HST
            - Hongkong
            - Iceland
            - Indian/Antananarivo
            - Indian/Chagos
            - Indian/Christmas
            - Indian/Cocos
            - Indian/Comoro
            - Indian/Kerguelen
            - Indian/Mahe
            - Indian/Maldives
            - Indian/Mauritius
            - Indian/Mayotte
            - Indian/Reunion
            - Iran
            - Israel
            - Jamaica
            - Japan
            - Kwajalein
            - Libya
            - MET
            - MST
            - MST7MDT
            - Mexico/BajaNorte
            - Mexico/BajaSur
            - Mexico/General
            - NZ
            - NZ-CHAT
            - Navajo
            - PRC
            - PST8PDT
            - Pacific/Apia
            - Pacific/Auckland
            - Pacific/Bougainville
            - Pacific/Chatham
            - Pacific/Chuuk
            - Pacific/Easter
            - Pacific/Efate
            - Pacific/Enderbury
            - Pacific/Fakaofo
            - Pacific/Fiji
            - Pacific/Funafuti
            - Pacific/Galapagos
            - Pacific/Gambier
            - Pacific/Guadalcanal
            - Pacific/Guam
            - Pacific/Honolulu
            - Pacific/Johnston
            - Pacific/Kanton
            - Pacific/Kiritimati
            - Pacific/Kosrae
            - Pacific/Kwajalein
            - Pacific/Majuro
            - Pacific/Marquesas
            - Pacific/Midway
            - Pacific/Nauru
            - Pacific/Niue
            - Pacific/Norfolk
            - Pacific/Noumea
            - Pacific/Pago_Pago
            - Pacific/Palau
            - Pacific/Pitcairn
            - Pacific/Pohnpei
            - Pacific/Ponape
            - Pacific/Port_Moresby
            - Pacific/Rarotonga
            - Pacific/Saipan
            - Pacific/Samoa
            - Pacific/Tahiti
            - Pacific/Tarawa
            - Pacific/Tongatapu
            - Pacific/Truk
            - Pacific/Wake
            - Pacific/Wallis
            - Pacific/Yap
            - Poland
            - Portugal
            - ROC
            - ROK
            - Singapore
            - Turkey
            - UCT
            - US/Alaska
            - US/Aleutian
            - US/Arizona
            - US/Central
            - US/East-Indiana
            - US/Eastern
            - US/Hawaii
            - US/Indiana-Starke
            - US/Michigan
            - US/Mountain
            - US/Pacific
            - US/Samoa
            - UTC
            - Universal
            - W-SU
            - WET
            - Zulu
            - localtime
          minLength: 1
          title: Time Zone
          description: Time Zone Identifier
          default: UTC
        ledger_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Ledger Id
          description: >-
            The ledger where transactions are automatically posted for business
            accounts. If not provided, a ledger will be automatically created
            for business accounts.
        draw_ledger_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Draw Ledger Id
          description: >-
            The ledger where business transaction in personal accounts will be
            posted if they draw from the business. Only provide this parameter
            for personal accounts.
        contribution_ledger_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Contribution Ledger Id
          description: >-
            The ledger where business transactions in personal accounts will be
            posted if they contribute to the business. Only provide this
            parameter for personal accounts.
      type: object
      required:
        - p_token
      title: PlaidLinkCreate
    TxnProcessingTask:
      properties:
        id:
          type: string
          title: Id
          examples:
            - UjL3BQnEaJtecuC7CUeDk
        status:
          $ref: '#/components/schemas/ProcessingStatus'
          description: Indicates the status of the task.
          examples:
            - pending
        created_datetime:
          type: string
          format: date-time
          title: Created Datetime
          description: |-
            Indicates the datetime in UTC when the 
                    task was created.
          examples:
            - '2024-01-01T00:00:00Z'
        updated_datetime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated Datetime
          description: |-
            Indicates the datetime in UTC when the 
                    task was last updated.
          examples:
            - '2024-01-01T00:00:00Z'
        error:
          anyOf:
            - $ref: '#/components/schemas/PlaidError-Output'
            - $ref: '#/components/schemas/GeneralError'
            - type: 'null'
          title: Error
          description: |-
            The Error object if any errors were encountered in the
                    processing. If the processing task was created by a Plaid import, the Plaid
                        errors will be passed through there. See [Plaid's documentation](https://plaid.com/docs/errors/)
                        for more information on their error messages.
          examples:
            - null
        source_account_id:
          type: string
          title: Source Account Id
          description: The source account containing the transactions
        task_type:
          $ref: '#/components/schemas/TxnProcessingTaskType'
          description: Type of transaction processing task
        ledger_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Ledger Id
          description: |-
            The ID of the ledger that the transactions are being
                    created for.
          examples:
            - 7JRNsKwy2Lw66caxVU7WGC
        created_transaction_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Created Transaction Ids
          description: |-
            The IDs of Transactions successfully 
                    processed by this task.
        removed_transaction_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Removed Transaction Ids
          description: |-
            The IDs of Transactions that were 
                    removed by this task.
        modified_transaction_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Modified Transaction Ids
          description: |-
            The IDs of Transactions that were 
                    modified by this task.
        skipped_transaction_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Skipped Transaction Ids
          description: |-
            The IDs of Transactions that were 
                    skipped by this task.
      type: object
      required:
        - id
        - status
        - created_datetime
        - updated_datetime
        - error
        - source_account_id
        - task_type
        - ledger_id
      title: TxnProcessingTask
    TealErrorResponse:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          description: A description of the error for API developers.
        data:
          title: Data
          description: Data associated with the error.
        display_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Message
          description: A description of the error for end users.
        error_code:
          anyOf:
            - $ref: '#/components/schemas/TealErrorCode'
            - type: 'null'
          description: Error code associated with the error.
      type: object
      required:
        - message
      title: TealErrorResponse
    ProcessingStatus:
      type: string
      enum:
        - pending
        - failed
        - complete
      title: ProcessingStatus
    PlaidError-Output:
      properties:
        error_type:
          type: string
          title: Error Type
          description: The Plaid error type.
          examples:
            - API_ERROR
        error_code:
          type: string
          title: Error Code
          description: The Plaid error code.
          examples:
            - INTERNAL_SERVER_ERROR
        error_message:
          type: string
          title: Error Message
          description: The Plaid error message.
          examples:
            - An unexpected error occurred.
        display_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Message
          description: A display message supplied by Plaid.
          examples:
            - Something went wrong.
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
          description: The Plaid request identifier.
          examples:
            - KipL51BWnPIpOmi
        causes:
          anyOf:
            - items:
                $ref: '#/components/schemas/PlaidError-Output'
              type: array
            - type: 'null'
          title: Causes
        status:
          anyOf:
            - type: integer
            - type: 'null'
          title: Status
          description: The status code returned from Plaid.
          examples:
            - 500
        documentation_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentation Url
          description: A url to Plaid's documentation about the error.
          examples:
            - >-
              https://plaid.com/docs/errors/api/#internal_server_error-or-plaid-internal-error
        suggested_action:
          anyOf:
            - type: string
            - type: 'null'
          title: Suggested Action
          description: Plaid's suggested action to resolve the error.
      type: object
      required:
        - error_type
        - error_code
        - error_message
      title: PlaidError
    GeneralError:
      properties:
        error_type:
          type: string
          title: Error Type
          description: The error type.
          examples:
            - API_ERROR
        error_message:
          type: string
          title: Error Message
          description: The error message.
          examples:
            - An unexpected error occurred.
      type: object
      required:
        - error_type
        - error_message
      title: GeneralError
    TxnProcessingTaskType:
      type: string
      enum:
        - import_transactions
        - recategorization
        - delete_date_range
        - set_business_flag
        - process_aged_unposted
        - retry_unposted
        - legacy
      title: TxnProcessingTaskType
    TealErrorCode:
      type: string
      enum:
        - invalid_date
        - invalid_ledger
        - missing_parameters
        - duplicate_name
        - duplicate_sort_code
        - invalid_ledger_type
        - invalid_ledger_report_cash_flow
        - deleting_required_ledger
        - repeated_tag_group
        - deleting_transaction_line
        - modifying_read_only_ledger
        - debits_credits_not_equal
        - modifying_datetime_opening_balance
        - modifying_accrual_journal_entry
        - modifying_payment_application_journal_entry
        - reconciliation_in_progress
        - reconciled_balance_does_not_match
        - journal_entry_outside_reconciliation_period
        - entries_start_date_after_transactions
        - entries_start_date_after_reconciliations
        - entries_start_date_after_journal_entries
      title: TealErrorCode
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.
      flows:
        password:
          scopes: {}
          tokenUrl: https://developer.teal.dev

````